LINSYSFS(4)

NAME
linsysfs - Linux kernel objects file system

SYNOPSIS

    linsysfs		/compat/linux/sys	linsysfs	rw 0 0

DESCRIPTION
The Linux system file system, or linsysfs, emulates a subset of the Linux sys file system and is required for the complete operation of some Linux binaries.

The linsysfs provides a two-level view of devices. At the highest level, PCI devices themselves are named, according to their bus, slot and function in the system hierarchy. PCI storage devices are listed in the scsi_host class with a device symlink to the PCI directories of the devices.

Each device node is a directory containing some files and directories:

host
    A place holder for storage host information.

pci_id
    A directory for the pci_id that contains either the device information or another directory structure for a PCI bridge.

Each host node of scsi_host is a directory containing some files and directories:

proc_name
    The Linux registered driver name for these devices.

device
    A symlink to the PCI device directory.

FILES
/compat/linux/sys
    The normal mount point for linsysfs.
/compat/linux/sys/class/scsi_host
    The storage host node.
/compat/linux/sys/devices/pci0000:00
    The PCI device hierarchy node.

EXAMPLES
The most common usage follows:

    mount -t linsysfs linsysfs /compat/linux/sys

where /compat/linux/sys is a mount point.

SEE ALSO
nmount(2), unmount(2), linprocfs(4), linux(4), pseudofs(9)

HISTORY
The linsysfs driver first appeared in FreeBSD 6.2.

AUTHORS
-nosplit The linsysfs driver was derived from linprocfs by Doug Ambrisko. This manual page was edited by Doug Ambrisko, based on the linprocfs(4) manual page by Garrett Wollman.